Package com.destroystokyo.paper.inventory.meta

# Interface ArmorStandMeta

All Superinterfaces:
  `Cloneable`, `ConfigurationSerializable`, `ItemMeta`, `PersistentDataHolder`

public interface ArmorStandMeta extends ItemMeta

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNoBasePlate()`
Gets whether this ArmorStand should have no base plate when spawned
`boolean`
`isInvisible()`
Gets whether the ArmorStand should be invisible when spawned
`boolean`
`isMarker()`
Gets whether this ArmorStand will be a marker when spawned The exact details of this flag are an implementation detail
`boolean`
`isSmall()`
Gets whether this ArmorStand will be small when spawned
`void`
`setInvisible(boolean invisible)`
Sets that this ArmorStand should be invisible when spawned
`void`
`setMarker(boolean marker)`
Sets that this ArmorStand should be a marker when spawned The exact details of this flag are an implementation detail
`void`
`setNoBasePlate(boolean noBasePlate)`
Sets that this ArmorStand should have no base plate when spawned
`void`
`setShowArms(boolean showArms)`
Sets that this ArmorStand should show arms when spawned
`void`
`setSmall(boolean small)`
Sets that this ArmorStand should be small when spawned
`boolean`
`shouldShowArms()`
Gets whether this ArmorStand should show arms when spawned

### Methods inherited from interface org.bukkit.configuration.serialization.ConfigurationSerializable

`serialize`

### Methods inherited from interface org.bukkit.inventory.meta.ItemMeta

`addAttributeModifier, addEnchant, addItemFlags, clone, displayName, displayName, getAttributeModifiers, getAttributeModifiers, getAttributeModifiers, getCanDestroy, getCanPlaceOn, getCustomModelData, getCustomTagContainer, getDestroyableKeys, getDisplayName, getDisplayNameComponent, getEnchantLevel, getEnchants, getItemFlags, getLocalizedName, getLore, getLoreComponents, getPlaceableKeys, hasAttributeModifiers, hasConflictingEnchant, hasCustomModelData, hasDestroyableKeys, hasDisplayName, hasEnchant, hasEnchants, hasItemFlag, hasLocalizedName, hasLore, hasPlaceableKeys, isUnbreakable, lore, lore, removeAttributeModifier, removeAttributeModifier, removeAttributeModifier, removeEnchant, removeItemFlags, setAttributeModifiers, setCanDestroy, setCanPlaceOn, setCustomModelData, setDestroyableKeys, setDisplayName, setDisplayNameComponent, setLocalizedName, setLore, setLoreComponents, setPlaceableKeys, setUnbreakable, setVersion`

### Methods inherited from interface org.bukkit.persistence.PersistentDataHolder

`getPersistentDataContainer`

## Method Details

### isInvisible

boolean isInvisible()
Gets whether the ArmorStand should be invisible when spawned

Returns:
  true if this should be invisible

### hasNoBasePlate

boolean hasNoBasePlate()
Gets whether this ArmorStand should have no base plate when spawned

Returns:
  true if it will not have a base plate

### shouldShowArms

boolean shouldShowArms()
Gets whether this ArmorStand should show arms when spawned

Returns:
  true if it will show arms

### isSmall

boolean isSmall()
Gets whether this ArmorStand will be small when spawned

Returns:
  true if it will be small

### isMarker

boolean isMarker()
Gets whether this ArmorStand will be a marker when spawned The exact details of this flag are an implementation detail

Returns:
  true if it will be a marker

### setInvisible

void setInvisible(boolean invisible)
Sets that this ArmorStand should be invisible when spawned

Parameters:
  `invisible` - true if set invisible

### setNoBasePlate

void setNoBasePlate(boolean noBasePlate)
Sets that this ArmorStand should have no base plate when spawned

Parameters:
  `noBasePlate` - true if no base plate

### setShowArms

void setShowArms(boolean showArms)
Sets that this ArmorStand should show arms when spawned

Parameters:
  `showArms` - true if show arms

### setSmall

void setSmall(boolean small)
Sets that this ArmorStand should be small when spawned

Parameters:
  `small` - true if small

### setMarker

void setMarker(boolean marker)
Sets that this ArmorStand should be a marker when spawned The exact details of this flag are an implementation detail

Parameters:
  `marker` - true if a marker